Bug 1311729 - shorter ssh control socket path for ansible
shorter ssh control socket path for ansible
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ansible (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 15:32 EST by Aleksandar Kostadinov
Modified: 2016-04-17 23:50 EDT (History)
6 users (show)

See Also:
Fixed In Version: ansible-2.0.1.0-2.fc23 ansible-2.0.1.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-17 23:21:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandar Kostadinov 2016-02-24 15:32:09 EST
Please set as default in ansible.cfg
[ssh_connection]
control_path = %(directory)s/%%C

On fedora we have a recent enough openssh so there should be no downsides. And the ugly issue where socket path is too long will go away:

https://github.com/ansible/ansible/issues/11536
Comment 1 Fedora Update System 2016-02-25 17:21:28 EST
ansible-2.0.1.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b64688238
Comment 2 Fedora Update System 2016-02-25 17:26:28 EST
ansible-2.0.1.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bd36b17794
Comment 3 Aleksandar Kostadinov 2016-02-26 05:04:22 EST
that was fast!
Comment 4 Fedora Update System 2016-02-26 15:51:30 EST
ansible-2.0.1.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bd36b17794
Comment 5 Fedora Update System 2016-02-26 15:52:30 EST
ansible-2.0.1.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b64688238
Comment 6 Aleksandar Kostadinov 2016-02-29 05:08:04 EST
Can't really test it a lot as my playbooks seem to be only 1.9.4 compatible still. But I saw that the configuration is changed and basically works. Moving to verified for this particular request.
Comment 7 Kevin Fenzi 2016-02-29 11:11:21 EST
ok. Are any of the incompatibilities you are hitting things we should look into fixing in 2.0.x before it goes stable?
Comment 8 Aleksandar Kostadinov 2016-02-29 14:56:03 EST
It's just ansible changes. Nothing like a bug as far as I know. I hope our playbooks will be adapted soon.
Comment 9 Fedora Update System 2016-04-17 23:21:18 EDT
ansible-2.0.1.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-04-17 23:50:04 EDT
ansible-2.0.1.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.